------------------------------------------------------------------------------------------------------------------------
-- snt_boos.lua - main file, database handling
-- part of snt boost wow addon by Don Kaban [k.shabordin@gmail.com]
------------------------------------------------------------------------------------------------------------------------

-- GLOBALS ------------------------------------------------------------------------------------------------------------

SNT_INFO      =  {} -- global hub


---global DB ------------------------------------------------------------------------------------------------------

   local DB = {}

   DB.lock           = true
   DB.scale          =  0.9
   DB.background     = "interface\\addons\\_snt_info\\media\\backdrop"
   DB.border         = "interface\\addons\\_snt_info\\media\\border"
   DB.vline          = "interface\\addons\\_snt_info\\media\\vline"
   DB.hline          = "interface\\addons\\_snt_info\\media\\hline"
   DB.font           = "interface\\addons\\_snt_info\\media\\stat_font.ttf"
   DB.fontsize       = 12 
   DB.edge           = 6
   DB.inset          = 2
   DB.font_col       = {0.8,0.8,0.9}            -- standart font color
 
  
   DB.HLP_std_col    = {0,0,0,0.6}              -- helper standart grid color 
   DB.HLP_center_col = {1,0,0,1}                -- helper center grid ccolor               
   DB.HLP_2step_col  = {1,1,1,0.4}              -- helper 2 step grid color 
   DB.HLP_ruler_col  = {0,1,0,0.7}              -- helper rulers color
 
   DB.BG_col         = {0,0,0.1,0.75}          -- standart background color
   DB.BR_col         = {1,1,1,1}               -- standart border color

   
   DB.CLASS          = {["HUNTER"] = {0.67,0.83,0.45},["WARLOCK"] = {0.58,0.51,0.79 },["PRIEST"] = {1.0,1.0,1.0},
                        ["PALADIN"] = {0.96,0.55,0.73 },["MAGE"] = {0.41,0.8,0.94 },["ROGUE"] = {1.0,0.96,0.41 },
                        ["DRUID"] = {1.0,0.49,0.04 },["SHAMAN"] = {0.14,0.35,1.0 },["WARRIOR"] = {0.78,0.61,0.43},
                        ["ОХОТНИК"] = {0.67,0.83,0.45},["ЧЕРНОКНИЖНИК"] = {0.58,0.51,0.79 },["ЖРЕЦ"] = {1.0,1.0,1.0},
                        ["ПАЛАДИН"] = {0.96,0.55,0.73 },["МАГ"] = {0.41,0.8,0.94 },["РАЗБОЙНИК"] = {1.0,0.96,0.41 },
                        ["ДРУИД"] = {1.0,0.49,0.04 },["ШАМАН"] = {0.14,0.35,1.0 },["ВОИН"] = {0.78,0.61,0.43},
                        ["ОХОТНИЦА"] = {0.67,0.83,0.45},["ЧЕРНОКНИЖНИЦА"] = {0.58,0.51,0.79 },["ЖРИЦА"] = {1.0,1.0,1.0},
                        ["РАЗБОЙНИЦА"] = {1.0,0.96,0.41 },["ШАМАНКА"] = {0.14,0.35,1.0 }}
                                 
------------------------------------------------------------------------------------------------------------------------         
  
   SNT_INFO.DB = DB; DB = nil






